Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.util
Class I18nMessage

    java.lang.Object
      org.apache.cocoon.forms.util.I18nMessage

All Implemented Interfaces:
  XMLizable

public class I18nMessage
extends Object
implements XMLizable

A XMLizable implementation that will produce SAX events for the I18nTransformer in its toSAX method, based on the information given in the constructor.

This generates an autonomous SAX-blurb, i.e. all necessary namespace declarations will be made, and no start/endDocument events will be generated.

Version:
  $Id: I18nMessage.java 587759 2007-10-24 03:00:37Z vgritsenko $

Constructor Summary
`I18nMessage(String key)`
`I18nMessage(String key, String catalogue)`
`I18nMessage(String key, String[] parameters)`
`I18nMessage(String key, String[] parameters, boolean[] keys)`
`I18nMessage(String key, String[] parameters, boolean[] keys, String catalogue)`
`I18nMessage(String key, String[] parameters, String catalogue)`

Method Summary
`boolean` | `equals(Object obj)`
`void` | `toSAX(ContentHandler contentHandler)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I18nMessage

    public I18nMessage(String key)

Parameters:
  `key` - a message key, to be translated by the I18nTransformer

### I18nMessage

    public I18nMessage(String key,
                       String catalogue)

Parameters:
  `key` - a message key, to be translated by the I18nTransformer
  `catalogue` - a named I18nTransformer catalogue to use

### I18nMessage

    public I18nMessage(String key,
                       String[] parameters)

Parameters:
  `key` - a message key, to be translated by the I18nTransformer
  `parameters` - parameters to be substituted in the errorMessage (will be done by the I18nTransformer)

### I18nMessage

    public I18nMessage(String key,
                       String[] parameters,
                       String catalogue)

Parameters:
  `key` - a message key, to be translated by the I18nTransformer
  `parameters` - parameters to be substituted in the errorMessage (will be done by the I18nTransformer)
  `catalogue` - a named I18nTransformer catalogue to use

### I18nMessage

    public I18nMessage(String key,
                       String[] parameters,
                       boolean[] keys)

Parameters:
  `key` - a message key, to be translated by the I18nTransformer
  `parameters` - parameters to be substituted in the errorMessage (will be done by the I18nTransformer)
  `keys` - Each element in the keys array corresponds to a string in the parameters array and indicates whether that parameter is in itself again a key.

### I18nMessage

    public I18nMessage(String key,
                       String[] parameters,
                       boolean[] keys,
                       String catalogue)

Parameters:
  `key` - a message key, to be translated by the I18nTransformer
  `parameters` - parameters to be substituted in the errorMessage (will be done by the I18nTransformer)
  `keys` - Each element in the keys array corresponds to a string in the parameters array and indicates whether that parameter is in itself again a key.
  `catalogue` - a named I18nTransformer catalogue to use

Method Detail

### toSAX

    public void toSAX(ContentHandler contentHandler)
               throws SAXException

  Specified by:
    `toSAX` in interface `XMLizable`
  Throws:
    `SAXException`

### equals

    public boolean equals(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.